//login js
export default{
  data(){
    return {
      login:{
        username:'',
        password:'',
        agree:false
      }
    };
  },
  mounted(){
    //onez.data(this,['items']);
  },
  methods:{
    onSubmit(o){
      o.ac='submit';
      this.post(o,(res)=>{
        if(res.error){
          onez.tip(res.error);
        }else{
          location.reload();
        }
      });
    },
    reg(){
      setTimeout(()=>{
        onez.onEvent({
          token:'page',
          action:'/login.php?mode=reg',
          option:{
            width:380,
            height:400,
            title:'免费注册'
          }
        });
      },100);
      if(this.$root.close){
        this.$root.close();
      }
    },
    forget(){
      setTimeout(()=>{
        onez.onEvent({
          token:'page',
          action:'/login.php?mode=forget',
          option:{
            width:380,
            height:220,
            title:'找回密码'
          }
        });
      },100);
      if(this.$root.close){
        this.$root.close();
      }
    }
  }
}